Skip to main content
GET
/
v1
/
variant_options
List
curl --request GET \
  --url https://{defaultHost}/v1/variant_options \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/variant_options"
  },
  "data": [
    {
      "id": "43565074-2e53-4af5-87ab-cc09deddbf63",
      "object": "variant_option",
      "display_type": "radio",
      "metadata": {},
      "name": "Color",
      "position": 0,
      "values": [],
      "product": "f1c0fed7-5ba7-4c19-8d45-e7411e1598b9",
      "created_at": 1778010942,
      "updated_at": 1778010942
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

product_ids[]
string[]

Only return objects that belong to the given products.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.